#!/bin/sh
#
#  Create BlueZ devices in /dev
#
#  $Id: create_dev,v 1.2 2002/09/02 09:50:57 holtmann Exp $
#

VHCI_MAJOR=10
VHCI_MINOR=250

RFCOMM_MAJOR=216

#
# Create device for VHCI
#
if [ ! -c /dev/vhci ]; then
	mknod /dev/vhci c ${VHCI_MAJOR} ${VHCI_MINOR}
	chmod 664 /dev/vhci
fi

#
# Create devices for RFCOMM
#
C=0;
while [ $C -lt 32 ]; do
	if [ ! -c /dev/rfcomm$C ]; then
		mknod -m 666 /dev/rfcomm$C c ${RFCOMM_MAJOR} $C
	fi
	C=`expr $C + 1`
done
